* CIEP data - Data from "Updating the Party Government data set" Katsunori Seki a, Laron K. Williams, 2014, Electoral Studies
* Table 2 in dataverse file "SW 2016 Codebook--Governments.pdf"
gen CIEP=4
label variable CIEP "Constitutional inter-election period (years)"

* Austria
replace CIEP=5 if Country=="au" & edate>date("01jan2008","DMY")
* Belgium
replace CIEP=5 if Country=="be" & edate>date("01jan2014","DMY") /* not in Katsunori Seki a, Laron K. Williams, 2014 , see https://en.wikipedia.org/wiki/2019_Belgian_federal_election*/
* Cyprus, France, UK, Italy, Ireland, Luxembourgh (partially), Malta
replace CIEP=5 if Country=="cy" | Country=="fr" | Country=="it" | Country=="ie" | Country=="uk" | Country=="lu" | Country=="mt"
* Denmark
replace CIEP=3 if Country=="dk" & edate<date("01jan1953","DMY")
* Latvia
replace CIEP=3 if Country=="lv" & edate<date("01jan1998", "DMY")
* Luxembourgh
replace CIEP=3 if Country=="lu" & edate<date("01jan1956", "DMY")
* Netherlands (usually 4 years but CIEP has been 5 years in 1989 and 2012 pursuant to art. 64.4 Dutch Constitution - see Martin 2004 AJPS)
replace CIEP=5 if Country=="nl" & edate==date("06sep1989", "DMY")
replace CIEP=5 if Country=="nl" & edate==date("12sep2012", "DMY")
* Sweden
replace CIEP=3 if Country=="se" & edate>date("01jan1970", "DMY") & edate<date("01jan1994", "DMY")